View Issue Details

IDProjectCategoryView StatusLast Update
0017921MediaMonkey 5Generalpublic2021-10-21 17:44
Reporterdrakinite Assigned To 
PriorityurgentSeverityminorReproducibilityalways
Status assignedResolutionopen 
Product Version5.0.1 
Target Version5.0.3 
Summary0017921: Improve screen readers' ability to read controls, e.g. checkboxes and sliders
DescriptionScreen readers like NVDA have difficulty reading the state of most controls.

1) Checkboxes ☑
2) Sliders ☑
3) Toolbuttons ☑
4) Buttons ☑
5) Close buttons ☑
6) Search ☑
7) Sysbuttons (close, minimize, etc.) ☑☑
8) New tab button ☑
9) Tabs ☑
10) Tracklists ☑
11) Album grid view lists ☑
12) Simplified lists
13) Reading contents of editable fields on hover (Dropdown & edit controls)
14) Player controls ☑☑
TagsNo tags attached.
Fixed in build

Relationships

related to 0017797 newdrakinite Improve accessibility of MediaMonkey 5 

Activities

drakinite

2021-05-26 17:51

developer   ~0063506

1) Checkboxes, 2) Sliders, 9) Tabs, 10) Tracklists, and 11) Album Grids have been improved for 2408.

drakinite

2021-05-26 18:35

developer   ~0063508

14) Player controls have been improved for 2408.

drakinite

2021-05-27 02:46

developer   ~0063538

3) toolbuttons and 4) buttons added in 2409.

Toolbuttons and icons now support a "data-aria-label" attribute, which lets screen readers read that text when the user mouses over the icon.

drakinite

2021-05-27 04:19

developer   ~0063539

5) close buttons, 6) search, and 8) new tab buttons added in 2409; as well as aria labels for many other icons in the interface.

drakinite

2021-05-29 22:55

developer   ~0063612

Just realized that none of my changes use the built-in translation/localization function. Will add a second checkmark to each item when they've been fixed with string translations.

drakinite

2021-05-30 01:14

developer   ~0063613

7) Sysbuttons added and 14) Player controls fixed to support localization